Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 821957 - Missing Requires(post) on grep and coreutils
Missing Requires(post) on grep and coreutils
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
RejectedNTH
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 17:11 EDT by Daniel Drake
Modified: 2012-06-06 22:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 22:34:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Drake 2012-05-15 17:11:07 EDT
fontconfig's %post scripts use grep and mkdir but there is no listed dependency on these programs.

When installing a system we are seeing that yum may decide to install fontconfig before grep and coreutils, which will cause the post script to not be run correctly.

Originally reported at http://dev.laptop.org/ticket/11856
Comment 1 Akira TAGOH 2012-05-15 23:43:34 EDT
Fixed in fontconfig-2.8.0-7.fc17
Comment 2 Fedora Update System 2012-05-15 23:45:00 EDT
fontconfig-2.8.0-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fontconfig-2.8.0-7.fc17
Comment 3 Kamil Páral 2012-05-18 09:18:46 EDT
The upstream report says "The fontconfig errors are harmless". Are there any issues that would indicate this needs to be fixed in Fedora 17 GOLD and not as a standard update?
Comment 4 Tim Flink 2012-05-18 17:21:01 EDT
Discussed in the 2012-05-18 blocker bug review meeting. This claims to be harmless error messages and could possibly result in temporary issues with building a font cache and slowing down font rendering. While unfortunate, does not seem critical and thus rejected as NTH.
Comment 5 Fedora Update System 2012-06-06 22:34:54 EDT
fontconfig-2.8.0-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.